GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
geos::index::bintree::Interval Class Reference

Represents an (1-dimensional) closed interval on the Real number line. More...

`#include <Interval.h>`

## Public Member Functions
| Interval (double nmin, double nmax)
| Interval (const Interval *interval)
| TODO: drop this, rely on copy ctor.
void | init (double nmin, double nmax)
double | getMin () const
double | getMax () const
double | getWidth () const
void | expandToInclude (Interval *interval)
bool | overlaps (const Interval *interval) const
bool | overlaps (double nmin, double nmax) const
bool | contains (const Interval *interval) const
bool | contains (double nmin, double nmax) const
bool | contains (double p) const

## Public Attributes
double | min
double | max

## Detailed Description

Represents an (1-dimensional) closed interval on the Real number line.

The documentation for this class was generated from the following file:

- bintree/Interval.h